claw::configuration_file::const_field_iterator Class Reference

This class is an iterator on the values set for a same field name. More...

`#include <configuration_file.hpp>`

## Public Types

typedef std::string | value_type
typedef const value_type & | reference
typedef const value_type * | pointer
typedef wrapped_iterator_type::difference_type | difference_type
typedef wrapped_iterator_type::iterator_category | iterator_category

## Public Member Functions

| const_field_iterator (wrapped_iterator_type it)
bool | operator== (const const_field_iterator &that) const
bool | operator!= (const const_field_iterator &that) const
const_field_iterator & | operator++ ()
const_field_iterator | operator++ (int)
const_field_iterator & | operator-- ()
const_field_iterator | operator-- (int)
reference | operator* () const
pointer | operator-> () const

## Detailed Description

This class is an iterator on the values set for a same field name.

Definition at line 104 of file configuration_file.hpp.

## Member Typedef Documentation

## difference_type

typedef wrapped_iterator_type::difference_type claw::configuration_file::const_field_iterator::difference_type

Definition at line 114 of file configuration_file.hpp.

## iterator_category

typedef wrapped_iterator_type::iterator_category claw::configuration_file::const_field_iterator::iterator_category

Definition at line 116 of file configuration_file.hpp.

## pointer

typedef const value_type* claw::configuration_file::const_field_iterator::pointer

Definition at line 113 of file configuration_file.hpp.

## reference

typedef const value_type& claw::configuration_file::const_field_iterator::reference

Definition at line 112 of file configuration_file.hpp.

## value_type

typedef std::string claw::configuration_file::const_field_iterator::value_type

Definition at line 111 of file configuration_file.hpp.

## Constructor & Destructor Documentation

## const_field_iterator() [1/2]

claw::configuration_file::const_field_iterator::const_field_iterator | ( |  | ) |

inline

Definition at line 119 of file configuration_file.hpp.

## const_field_iterator() [2/2]

claw::configuration_file::const_field_iterator::const_field_iterator | ( | wrapped_iterator_type | it | ) |

inline

Definition at line 120 of file configuration_file.hpp.

## Member Function Documentation

## operator!=()

bool claw::configuration_file::const_field_iterator::operator!= | ( | const const_field_iterator & | that | ) | const

inline

Definition at line 127 of file configuration_file.hpp.

## operator*()

reference claw::configuration_file::const_field_iterator::operator* | ( |  | ) | const

inline

Definition at line 158 of file configuration_file.hpp.

## operator++() [1/2]

const_field_iterator & claw::configuration_file::const_field_iterator::operator++ | ( |  | ) |

inline

Definition at line 132 of file configuration_file.hpp.

## operator++() [2/2]

const_field_iterator claw::configuration_file::const_field_iterator::operator++ | ( | int |  | ) |

inline

Definition at line 138 of file configuration_file.hpp.

## operator--() [1/2]

const_field_iterator & claw::configuration_file::const_field_iterator::operator-- | ( |  | ) |

inline

Definition at line 145 of file configuration_file.hpp.

## operator--() [2/2]

const_field_iterator claw::configuration_file::const_field_iterator::operator-- | ( | int |  | ) |

inline

Definition at line 151 of file configuration_file.hpp.

## operator->()

pointer claw::configuration_file::const_field_iterator::operator-> | ( |  | ) | const

inline

Definition at line 163 of file configuration_file.hpp.

## operator==()

bool claw::configuration_file::const_field_iterator::operator== | ( | const const_field_iterator & | that | ) | const

inline

Definition at line 122 of file configuration_file.hpp.

The documentation for this class was generated from the following file:

- configuration_file.hpp